import { defineStore } from "pinia";

export const useMCStore = defineStore('Mountain Car Store', {
    state: () => {
        return {
            play: false,
            rgbArray: Array,
            width: 0,
            height: 0,
        }
    },
    getters: {
        getPlay: (state) => state.play,
        getRgbArray: (state) => state.rgbarray,
        getDim: (state) => [state.height, state.width],
    },
    actions: {
        setPlay() {
            this.play = !this.play;
        },
        setRgbArray(value) {
            this.rgbArray = value;
        },
        setDim(height, width) {
            this.height = height;
            this.width = width;
        },
    }
})
